<?php require_once('../../Connections/cn.php'); ?>
<?php 

//Aqui quito caracteres que estan demas en el filtro que viene de otra pagina 
header("Content-Type:text/html; charset=utf-8");
$sqlr = str_replace("`", "", $sqlr); 
$sqlr = str_replace("\'", '"', $sqlr);
 
$sede=$_GET['sede'];
$carrera=$_GET['carrera'];
$periodo=$_GET['periodo'];
$limite=$_GET['num'];

// Selecciono la Base de Datos. 
mysql_select_db($database_cn); 
mysql_query ("SET NAMES 'utf8'");

// Datos del Per�odo.
$sql2 = "select * from periodos where id_periodo='$periodo'";
$rs2=mysql_query($sql2,$cn);
$row2=mysql_fetch_array($rs2);
$codigo_periodo=$row2['codigo'].' ('.$row2['tipo'].')';
$descripcion='('.$row2['mes_inicio'].'-'.$row2['mes_fin'].')';

if($sede=="0"){
   $nombre_sede="Todas";
}
else{//Datos de la Sede
	$sql2 = "select * from sedes where codigo='$sede'";
	$rs2=mysql_query($sql2,$cn);
	$row2=mysql_fetch_array($rs2);
	$nombre_sede=$row2['nombre_sede'];
}
//Datos de la Carrera
$sql2 = "select * from carreras where id_carrera='$carrera'";
$rs2=mysql_query($sql2,$cn);
$row2=mysql_fetch_array($rs2);
$nombre_carrera=$row2['nombre_carrera'];


// Incluye la calses que se requieren para el reporte. 
error_reporting(E_ALL); 
include('class.ezpdf.php'); 
require('numerosALetras.class.php');

// Se establece el tipo de p�gina y el formato de impresi�n.
$pdf = & new Cezpdf('letter','landscape'); 
$pdf->selectFont('./fonts/Helvetica'); 
// Se inicializa el contador de paginas en 1 y se especifica en que lugar se va a imprimir 
$pdf->ezStartPageNumbers(700,17,7,'','{PAGENUM}/{TOTALPAGENUM}',1); 

// coloca una linea arriba y abajo de todas las paginas 
$fechs = date("d/m/y"); 
$all = $pdf->openObject(); 
$pdf->saveState(); 
$pdf->setStrokeColor(0,0,0,1); 
// Se define el query de los datos que contendr� el reporte.
mysql_select_db($database_cn, $cn);
mysql_query ("SET NAMES 'utf8'");
$query = " SELECT DISTINCT 
historial_alumnos.cedula, 
'LIC. EN CIENCIAS FISCALES' AS nom_carrera, 
historial_alumnos.id_periodo, 
sedes.nombre_sede,
alumnos.email,
alumnos.telefono_hab,
alumnos.telefono_trab,
alumnos.telefono_cel,
alumnos.apellidos,
alumnos.nombres,
historial_alumnos.mencion,
historial_alumnos.id_alumno
FROM historial_alumnos,sedes,alumnos
WHERE historial_alumnos.id_periodo = '$periodo' and
historial_alumnos.sede=sedes.codigo and
historial_alumnos.id_alumno=alumnos.id_alumno";
// Filtra las Sedes
if($sede!=0){
   $query=$query." AND historial_alumnos.sede='$sede'";
 }
// Filtra las Carreras
if($carrera!=0){
   $query=$query." AND historial_alumnos.mencion='$carrera'";
 }
 
$query=$query." ORDER BY historial_alumnos.nom_carrera,historial_alumnos.participante";
// echo $query;
//return;
// Ejecuta el Query.
$result = mysql_query ($query,$cn) or die (mysql_error()); 

// Numero de Filas.
$totalRows = mysql_num_rows($result);
// Se obtienen los datos del docente que dict� la materia.




// Inicio del Encabezado.
$imagen=ImageCreatefromjpeg('../../imagenes/logo_mppf.jpg');
$pdf->addImage($imagen,30,$pdf->y-25,250,0);
$imagen=ImageCreatefromjpeg('../../imagenes/enahp.jpg');
$pdf->addImage($imagen,600,$pdf->y-25,150,0);
$pdf->selectFont('/fonts/Helvetica.afm');
$diff=array(225=>'aacute',233=>'eacute',
            237=>'iacute',243=>'oacute',
            250=>'uacute',252=>'udieresis',
            241=>'ntilde',209=>'Ntilde');
$pdf->selectFont('fonts/Helvetica.afm',array('encoding'=>'WinAnsiEncoding','differences'=>$diff));
$pdf->ezsetdy(-25);
$pdf->ezText(utf8_decode("<b>Dirección de Secretaría General - Unidad de Control de Estudios de Pregrado</b>"),9,array('justification'=>'center'));
$pdf->ezsetdy(-20);
$pdf->ezText(utf8_decode('<b>'."MATRICULA ESTUDIANTIL POR PROMEDIO".'</b>'),12,array('justification'=>'center'));

$pdf->ezText('<b>'.utf8_decode("          LAPSO: ").$codigo_periodo.'</b>',12,array('justification'=>'center'));
$pdf->ezsetdy(-10);
$pdf->addText(378,642,9,utf8_decode("Fecha de Impresión: ").date("d/m/Y"));
// Fin del Encabezado.
// Inicio del Pie de P�gina.
//pie_pagina($pdf, $cedula_docente, $nom_docente);
// Fin del Pie de P�gina.

// Se restaura el objeto y se cierra, para que de el salto de p�gina.
$pdf->restoreState(); 
$pdf->closeObject(); 
// Establece los margenes para imprimir el cuerpo del reporte.
$pdf->ezSetCmMargins(4.4,1,3.5,3);
$pdf->addObject($all,'all'); 

// Inicializa array 
$data = array(); 
//Aqui se coloca el header de la Tabla 

$cols = array('nro'=>'Nro.', 
			  'nombres'=>'NOMBRES',  
              'apellidos'=>'APELLIDOS',
			  'cedula'=>utf8_decode('CÉDULA').'   ',
			  'institucion'=>utf8_decode('INSTITUCIÓN').'  ',
			  'carrera'=>'CARRERA',
			  'estado'=>utf8_decode('ESTADO'),
			  'mail'=>utf8_decode('CORREO ELECTRÓNICO'.'  '),
			  'telefonos'=>utf8_decode('TELÉFONOS DE CONTACTO').'  ',
			  'promedio'=>'PROMEDIO');

$smc = 0; 
// Convierte la Nota a Letras.
$nota = new numerosALetras;

$sql = "TRUNCATE TABLE `matricula_promedio`";
mysql_query($sql, $cn) or die(mysql_error());
  
while ($row = mysql_fetch_row($result)) { 
    $ced      = $row[0];    // cedula  
	$programa= $row[1];    // cedula
    $apellidos= addslashes($row[8]);
	$nombres= addslashes($row[9]);
	$email= $row[4];
	$telefonos="";
	$sw1=0;
	$sw2=0;
	$telefonos=addslashes($row[5].'/'.$row[6].'/'.$row[7]);
	if($row[10]=='ACE') $nombre_mencion='ADUANAS Y COMERCIO EXTERIOR';
	if($row[10]=='FIN') $nombre_mencion='FINANZAS PÚBLICAS';
	if($row[10]=='RT') $nombre_mencion='RENTAS';
	
	$id_carrera='LCF';
	$id_alumno=$row[11];
	 $sql_promedio = "SELECT AVG(nota) FROM  historico_notas WHERE id_carrera='LCF' and id_alumno='$id_alumno'";
     $rst_promedio = mysql_query($sql_promedio, $cn) or die(mysql_error());
     $row_promedio = mysql_fetch_row($rst_promedio);	
     $promedio=$row_promedio[0];
	 $programa=$programa.' .MENCIÓN: '.$nombre_mencion;
	//$sql = "TRUNCATE TABLE `historico_notas_aux`";
    //mysql_query($sql, $cn) or die(mysql_error());
    //$sql = "insert into historico_notas_aux select * from historico_notas where id_alumno='$id_alumno'";
    //mysql_query($sql, $cn) or die(mysql_error());
	
	//$promedio=calcular_ida($id_alumno,$id_carrera);
    if($promedio>0){
       $sql = "insert into `matricula_promedio` (`nombres`, `apellidos`, `cedula`, `institucion`, `programa`, `estado`, `email`, `telefonos`, `promedio`) values ('$nombres','$apellidos','$ced','ENAHP','$programa','DISTRITO CAPITAL','$email','$telefonos','$promedio')";
       mysql_query($sql, $cn) or die(mysql_error());
	   }
  
} 


$query = "SELECT 
nombres,
apellidos,
cedula,
institucion,
programa,
estado,
email,
telefonos,
promedio
FROM matricula_promedio
ORDER BY promedio DESC LIMIT ".$limite;

// Filtra las Sedes
// Ejecuta el Query.
$result = mysql_query ($query,$cn) or die (mysql_error()); 
// Numero de Filas.
$totalRows = mysql_num_rows($result);
// Se obtienen los datos del docente que dict� la materia.

while ($row = mysql_fetch_row($result)) { 
      
    $nombres  = $row[0]; // apellidos y nombres 
	$apellidos= $row[1];    // cedula
    $ced      = $row[2];    // cedula
	$institucion= $row[3];
	$programa= $row[4];
	$estado= $row[5];
	$email= $row[6];
	$telefonos=$row[7];
	$promedio=$row[8];
	    
    $smc = $smc + 1; 
    // Aqui se agregan las variables formateadas al array
	
    $data[] = array('nro'=>$smc,
                    'nombres'=>utf8_decode($nombres),
					'apellidos'=>utf8_decode($apellidos),
					'cedula'=>$ced, 
					'institucion'=>'ENAHP',
					'carrera'=>utf8_decode($programa),
					'estado'=>'DISTRITO CAPITAL',
					'mail'=>utf8_decode($email),
					'telefonos'=>utf8_decode($telefonos),
					'promedio'=>number_format($promedio,4,",","."));
} 
					   
$pdf->ezTable($data,$cols,'',array('width'=>'750','fontSize'=>7, 
'cols'=>array('nro'=>array('justification'=>'center') 
			 ,'nombres'=>array('justification'=>'left', 'width'=>100)
			 ,'apellidos'=>array('justification'=>'left','width'=>100)
			 ,'cedula'=>array('justification'=>'right')
			 ,'institucion'=>array('justification'=>'left')
			 ,'carrera'=>array('justification'=>'left','width'=>150)
			 ,'estado'=>array('justification'=>'left') 
			 ,'mail'=>array('justification'=>'left')
			 ,'telefonos'=>array('justification'=>'left')
			 ,'promedio'=>array('justification'=>'right')) 
));// salida 

if (isset($d) && $d){ 
	$pdfcode = $pdf->ezOutput(); 
	$pdfcode = str_replace('\n','\n<br>',htmlspecialchars($pdfcode)); 
	echo '<html><body>'; 
	echo trim($pdfcode); 
	echo '</body></html>'; 
} else { 
	$pdf->ezStream(); 
} 

function calcular_ida($id_alumno,$id_carrera)
{
global $cn;

    mysql_select_db($database_cn, $cn);
    mysql_query ("SET NAMES 'utf8'");
	$sql = "Select
	SUM(historico_notas_aux.nota*materias.uc) AS notas_x_creditos,SUM(materias.uc) as creditos_cursados
	From
	historico_notas_aux
	Inner Join materias ON historico_notas_aux.id_materia = materias.id_materia
	Where
	historico_notas_aux.id_alumno = '$id_alumno' and
	historico_notas_aux.id_carrera = '$id_carrera'
	";
	// echo $sql;
	
	$result = mysql_query ($sql,$cn) or die (mysql_error()); 
	$rst_ida = mysql_fetch_assoc($result);
	$creditos_cursados=$rst_ida['creditos_cursados'];
	$sumatoria_notas_por_creditos=$rst_ida['notas_x_creditos']; 
	if($creditos_cursados!=0)
	{
	   $ida=$sumatoria_notas_por_creditos/$creditos_cursados;
	}
	else{
	   $ida=0;
	}
	return $ida;
}

?> 